Dashboard
Aggregate summary of policies, policy sets and evaluations for display on the dashboard
get
Get metrics about policies, policy sets and evaluations
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
rangestring · enumOptionalDefault:
The time period over which to aggregate dashboard data. Can be: 24 hours, 7 days or 30 days
30dExample: 30dPossible values: accountIdentifierstringOptionalDefault:
Harness account ID
""Example: eBqAoNchMLKigC_qZ5EdCorgIdentifierstringOptionalDefault:
Harness organization ID
""Example: test-orgprojectIdentifierstringOptionalDefault:
Harness project ID
""Example: test-projectHeader parameters
x-api-keystringOptionalExample:
Harness PAT key used to perform authorization
Libero modi libero numquam qui.Responses
200
OK response.
application/json
Policy, policy set and evaluation metrics
400
BadRequest: Bad Request response.
application/vnd.goa.error
401
Unauthorized: Unauthorized response.
application/vnd.goa.error
403
Forbidden: Forbidden response.
application/vnd.goa.error
404
NotFound: Not Found response.
application/vnd.goa.error
500
InternalServer: Internal Server Error response.
application/vnd.goa.error
502
BadGateway: Bad Gateway response.
application/vnd.goa.error
get/api/v1/dashboard
GET /gateway/pm/api/v1/dashboard HTTP/1.1
Host: app.harness.io/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"aggregates": [
{
"error": 37656522607197600,
"pass": 7464956699742084000,
"time": 1538550125153778700,
"warning": 5697036629664590000
},
{
"error": 37656522607197600,
"pass": 7464956699742084000,
"time": 1538550125153778700,
"warning": 5697036629664590000
},
{
"error": 37656522607197600,
"pass": 7464956699742084000,
"time": 1538550125153778700,
"warning": 5697036629664590000
},
{
"error": 37656522607197600,
"pass": 7464956699742084000,
"time": 1538550125153778700,
"warning": 5697036629664590000
}
],
"policy_health": {
"total_evaluation_count": 14201876849955834,
"total_evaluation_entity_count": {
"error": 1214081903279078000,
"pass": 4596833819605482000,
"warning": 8308934578896301000
},
"total_policy_count": 8771905109859713000,
"total_policy_set_count": 5841960613785413000,
"total_policy_set_entity_count": {
"Quia officia eos voluptatem qui impedit quia.": 3572455679767888000,
"Quibusdam dolore aut.": 3325537192149463000,
"Vitae deleniti qui quisquam voluptas voluptas officiis.": 2265009791480361500
}
}
}Last updated
Was this helpful?